Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1519119 - Tracker for AVC's seen on storage nodes as well as the web-admin (SELinux support for RHGS WA tracker BZ for 3.4.0) [NEEDINFO]
Summary: Tracker for AVC's seen on storage nodes as well as the web-admin (SELinux sup...
Keywords:
Status: NEW
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: web-admin-tendrl-selinux
Version: rhgs-3.3
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: ---
Assignee: Nishanth Thomas
QA Contact: sds-qe-bugs
URL:
Whiteboard:
Depends On: 1514142
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-30 07:43 UTC by Rochelle
Modified: 2019-04-11 08:24 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
rallan: needinfo? (mbukatov)


Attachments (Terms of Use)

Description Rochelle 2017-11-30 07:43:18 UTC
Description of problem:
=======================
Multiple AVC's seen on storage nodes and web admin.


Version-Release number of selected component (if applicable):
=============================================================
tendrl-selinux-1.5.4-1.el7rhgs.noarch




Steps to Reproduce:
===================
1. Make sure selinux is enabled and enforcing on the nodes
2. Open the required firewall ports
3. Create a volume and check /var/log/audit/audit.log


Audit logs for each storage node and web-admin server found at : http://rhsqe-repo.lab.eng.blr.redhat.com/sosreports/rallan/AVCs/

Comment 2 Martin Bukatovic 2017-12-04 09:31:54 UTC
We already have a SELinux tracker, see BZ 1514098.

Could you review what has been already reported and highlight what kind of
new AVC denials has been observed recently?

Comment 3 Nishanth Thomas 2017-12-04 17:02:06 UTC
This bug is filed to track all AVC denials so that it can be fixed in a future release. I don't think this should be targeted to 3.3.z and blocks 1514098. I moving this out of 3.3.z and unblocking 1514098.

@rallan, please do the needful if you think otherwise.

Comment 4 Martin Bukatovic 2017-12-05 15:45:48 UTC
(In reply to Nishanth Thomas from comment #3)
> This bug is filed to track all AVC denials so that it can be fixed in a
> future release. I don't think this should be targeted to 3.3.z and blocks
> 1514098. I moving this out of 3.3.z and unblocking 1514098.
> 
> @rallan, please do the needful if you think otherwise.

ack, updating the BZ to make it more clear


Note You need to log in before you can comment on or make changes to this bug.